Bug 980198 - rpm is awfully slow
rpm is awfully slow
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity medium
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-01 12:55 EDT by Nikola Pajkovsky
Modified: 2014-11-04 03:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-04 03:43:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed backport (14.28 KB, patch)
2013-07-01 12:55 EDT, Nikola Pajkovsky
no flags Details | Diff

  None (edit)
Description Nikola Pajkovsky 2013-07-01 12:55:24 EDT
Created attachment 767454 [details]
proposed backport

When I was trying to query something from kernel spec, it took way to much
time.

$ time rpm -q --qf "%{name}\n" --specfile kernel.spec.full | head -1
real	1m42.770s
user	1m41.513s
sys	0m1.168s

So I have backported patch 301d545 ("Improve macro table performance")
which speeds up rpm by more then 20 times.
 
$ time rpm -q --qf "%{summary}\n" --specfile kernel.spec.full | head -1
real	0m3.499s
user	0m3.426s
sys	0m0.074s
Comment 3 RHEL Product and Program Management 2013-10-13 23:15:12 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 5 Panu Matilainen 2014-11-04 03:43:29 EST
Dont want to risk messing with the brittle and hard to exhaustively test macro subsystem in RHEL-6 at this point, sorry. This macro table optimization and numerous other spec parsing optimizations are included in RHEL-7 though.

Note You need to log in before you can comment on or make changes to this bug.